import json
import requests
from markdownify import markdownify as md

import config

key = config.__CONFIG__["fastgpt_api"]
url = config.__CONFIG__["fastgpt_host"]
setId =  config.__CONFIG__["fastgpt_setId"]

# Config FastGPT

from datetime import datetime

def __new_set():
    headers = {"Authorization": f"Bearer {key}", "Content-Type": "application/json"}
    payload = {
    "datasetId":setId,
    "name":str(datetime.now()),
    "type":"virtual"
    }
    result = requests.post(
        url + "/core/dataset/collection/create", headers=headers, data=json.dumps(payload)
    ).json()
    return result["data"]

colId = __new_set()

def submit_data(q,a):
    try:
        headers = {"Authorization": f"Bearer {key}", "Content-Type": "application/json"}
        payload = {
            "collectionId": colId,
            "trainingMode": "chunk",
            "data":  [{"q":q,"a":a}]
        }
        response = requests.post(
            url + "/core/dataset/data/pushData", headers=headers, data=json.dumps(payload)
        )
        return True if response.json()["code"] == 200 else False
    except:
        return False
